#!/usr/local/bin/python
# Rob Dennis - Lurchington Q. Delacroix
# Keasby - TV renamer
# Project Homepage: http://code.google.com/p/keasby/

#---Python Core
import os
#---Def
class MediaList():
    """\
    test docstring
    """
    def __init__(self,path,additionalExtensions=[]):
        self.currentPath=path
        self.extensionList=set(additionalExtensions).union([
                                                     ".avi",
                                                     ".mkv",
                                                     ".mpg",
                                                     ".rm",
                                                     ".flv",
                                                     ".mp4"])
    def block_extensions(self,*blockedExtensions):
        self.extensionList=(
                        self.extensionList.difference(set(blockedExtensions))
                        )
        return self.extensionList
    
    def get_files(self,path=None):
        if not path:
            path=self.currentPath
        fileList=[]
        for filename in os.listdir(path):
            if os.path.splitext(filename)[1] in self.extensionList:
                fileList.append(os.path.join(path,filename))
        return fileList
