#!/usr/bin/local/python
#Modified ConfigParser for use in Keasby
#handles lists and returns a dict
#Rob Dennis

from ConfigParser import RawConfigParser
import re
import os

class KeasbyConfigParser(RawConfigParser):
#    def getlist(self,section,option):
#        return eval(self.get(section,option))
        
    def getBest(self,section,option):
        try:
            return eval(self.get(section,option),
                        {"__builtins__":None},
                        {"False":False,
                        "True":True,
                        "re":re,
                        "os":os,
                        "None":None})
        except Exception:
            raise
            return self.get(section,option)
    
    def optionxform(self, optionstr):
        return optionstr
        
    def getDict(self,secDicts=False):
        tmp_dict={}
        if secDicts:
            for sec in self.sections():
                tmp_dict[sec]={}
                for opt in self.options(sec):
                    tmp_dict[sec][opt]=self.getBest(sec,opt)
                    
        else:
            for sec in self.sections():
                for opt in self.options(sec):
                    tmp_dict[opt]=self.getBest(sec,opt)
                                        
        return tmp_dict
                
                

    
# def main():
#     tmp = KeasbyConfigParser(None)
#     
#     tmp.read(r"resources/preferences.cfg")s
#    tmp.read(r"resources/tvComWebHTML.source")
#    
#     for sec in tmp.sections():
#         print sec
#         for opt,value in tmp.items(sec):
#             print "- %s = %s - of %s"%(opt,
#                                         value,
#                                         type(tmp.getBest(sec,opt))
#                                             )
# 
#     for key,value in tmp.getDict(True).items():
#         if type({}) == type(value):
#             for sub_key,sub_value in value.items():
#                     print "%s = %s -> %s"%(sub_key,sub_value,type(sub_value))
#         else:
#             print "%s = %s -> %s"%(key,value,type(value))
#             
#     for key,value in tmp.getDict(False).items():
#         if type({}) == type(value):
#             for sub_key,sub_value in value.items():
#                     print "%s = %s -> %s"%(sub_key,sub_value,type(sub_value))
#         else:
#             print "%s = %s -> %s"%(key,value,type(value))
#            
#    print tmp.getlist("INFORMATION PARSING","sourceListOrder")
#    
#        
# main()