#!/usr/local/bin/python
# Rob Dennis - Lurchington Q. Delacroix
# Keasby - TV renamer
# Project Homepage: http://code.google.com/p/keasby/
#---Python Import
import logging
#---Source Import
from api.tvdb_api import TvDbApiHandler

class KeasbyInfoRepo():
    def __init__(self,priorityTupleList=None):
        ##handle multiple sources
        self.priorityList=["tvdb"]
        self.__dict__.update({"tvdb":TvDbApiHandler("D1EBA6781E2572BB")})
        
##    def get_sources(self):
##        return self.priorityList,self.__dict__update
    
    def get_title(self,showname,season_number,episode_number):
        for source in self.priorityList:
            logging.debug("searching for title using %s",source)
            logging.debug("using: showname %s, season %s, episode %s",
                          showname,
                          season_number,
                          episode_number)
                        
            title,proper_showname=self.__dict__[source].get_title(showname,
                                                                  season_number,
                                                                  episode_number)
            if title:
                return title,proper_showname


